org.apache.solr.analytics.util

## Class RangeEndpointCalculator.FloatRangeEndpointCalculator

- java.lang.Object
- - org.apache.solr.analytics.util.RangeEndpointCalculator<Float>
  - - org.apache.solr.analytics.util.RangeEndpointCalculator.FloatRangeEndpointCalculator

- Enclosing class:
    RangeEndpointCalculator<T extends Comparable<T>>

      public static class RangeEndpointCalculator.FloatRangeEndpointCalculator
      extends RangeEndpointCalculator<Float>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.analytics.util.RangeEndpointCalculator

      `RangeEndpointCalculator.DateRangeEndpointCalculator, RangeEndpointCalculator.DoubleRangeEndpointCalculator, RangeEndpointCalculator.FacetRange, RangeEndpointCalculator.FloatRangeEndpointCalculator, RangeEndpointCalculator.IntegerRangeEndpointCalculator, RangeEndpointCalculator.LongRangeEndpointCalculator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.analytics.util.RangeEndpointCalculator

      `field, request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatRangeEndpointCalculator(RangeFacetRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Float` | `parseAndAddGap(Float value, String gap)` Adds the String gap param to a low Range endpoint value to determine the corrisponding high Range endpoint value.
    `protected Float` | `parseVal(String rawval)` Parses a String param into an Range endpoint.

    - ### Methods inherited from class org.apache.solr.analytics.util.RangeEndpointCalculator

      `addGap, create, formatValue, getGap, getRanges, getValue, parseGap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatRangeEndpointCalculator

          public FloatRangeEndpointCalculator(RangeFacetRequest request)

  - ### Method Detail

    - #### parseVal

          protected Float parseVal(String rawval)

      Description copied from class: `RangeEndpointCalculator`
      Parses a String param into an Range endpoint. Can throw a low level format exception as needed.
      Specified by:
        `parseVal` in class `RangeEndpointCalculator<Float>`

    - #### parseAndAddGap

          public Float parseAndAddGap(Float value,
                                      String gap)

      Description copied from class: `RangeEndpointCalculator`
      Adds the String gap param to a low Range endpoint value to determine the corrisponding high Range endpoint value. Can throw a low level format exception as needed.
      Specified by:
        `parseAndAddGap` in class `RangeEndpointCalculator<Float>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.